import subprocess
import sys
import time

plot = subprocess.Popen('/opt/local/bin/gnuplot', stdin=subprocess.PIPE, stdout=subprocess.PIPE )

plot.stdin.write('set term x11\n') 
plot.stdin.write('set xrange[-10:10]\n')
plot.stdin.write('set yrange[-10:10]\n')
plot.stdin.write('unset key\n')
plot.stdin.write('set parametric\n')
plot.stdin.write('x(t) = 8*sin(t)\n')
plot.stdin.write('y(t) = 8*cos(t)\n')
plot.stdin.write('set trange[0:pi]\n')
plot.stdin.write('set size ratio -1\n')
plot.stdin.write('plot x(t), y(t) w l lw 2\n')
plot.stdin.write('pause -1\n')
plot.stdin.flush()

delta = 'pi/18' 
i=0
try: 
	while 1 :
		# a = raw_input()
		# if a == 'n' :
		v = str(i)+'*'+delta 
		plot.stdin.write('\n')
		plot.stdin.write('set trange[0:'+v+']\n')
		plot.stdin.write('rep\n')
		i=i+1
		time.sleep(0.2)
		if i==37 :
			i=0

except KeyboardInterrupt:
	plot.terminate()
	print( "Bye!" )
	sys.exit(0)
